package com.yihu.jw.entity.base.patient;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import com.yihu.jw.entity.hospital.article.KnowledgeArticleDO;
import com.yihu.jw.entity.hospital.survey.WlyySurveyTemplateDO;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;


/**
 * 居民业务关联实体
 *
 * @author
 */
@Entity
@Table(name = "base_patient_business")
public class BasePatientBusinessDO extends UuidIdentityEntityWithOperator {

    /**
     * 患者code
     */
    private String patient;

    /**
     * 患者名字
     */
    private String patientName;


    /**
     * 医生code
     */
    private String doctor;


    /**
     * 医生名字
     */
    private String doctorName;


    /**
     * 业务code
     */
    private String relationCode;

    /**
     * 业务名称
     */
    private String relationName;

    /**
     * 业务类型1、文章2、问卷
     */
    private Integer relationType;

    /**
     * 是否收藏
     */
    private Integer collection;

    /**
     * 1已读0未读
     */
    private Integer isRead;

    /**
     * 1已赞,0未赞
     */
    private Integer fabulous;

    /**
     * 1分享0未分享
     */
    private Integer share;

    /**
     * 状态1正常0删除
     */
    private Integer del;

    /**
     * 会话id
     */
    private String sessionId;


    @Transient
    KnowledgeArticleDO knowledgeArticleDO;

    @Transient
    WlyySurveyTemplateDO wlyySurveyTemplateDO;

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }

    public String getRelationName() {
        return relationName;
    }

    public void setRelationName(String relationName) {
        this.relationName = relationName;
    }

    public Integer getRelationType() {
        return relationType;
    }

    public void setRelationType(Integer relationType) {
        this.relationType = relationType;
    }

    @Transient
    public Integer getCollection() {
        return collection;
    }

    public void setCollection(Integer collection) {
        this.collection = collection;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Transient
    public KnowledgeArticleDO getKnowledgeArticleDO() {
        return knowledgeArticleDO;
    }

    public void setKnowledgeArticleDO(KnowledgeArticleDO knowledgeArticleDO) {
        this.knowledgeArticleDO = knowledgeArticleDO;
    }

    @Transient
    public WlyySurveyTemplateDO getWlyySurveyTemplateDO() {
        return wlyySurveyTemplateDO;
    }

    public void setWlyySurveyTemplateDO(WlyySurveyTemplateDO wlyySurveyTemplateDO) {
        this.wlyySurveyTemplateDO = wlyySurveyTemplateDO;
    }

    @Transient
    public Integer getFabulous() {
        return fabulous;
    }

    public void setFabulous(Integer fabulous) {
        this.fabulous = fabulous;
    }
    @Transient
    public Integer getShare() {
        return share;
    }

    public void setShare(Integer share) {
        this.share = share;
    }
    @Transient
    public Integer getIsRead() {
        return isRead;
    }

    public void setIsRead(Integer isRead) {
        this.isRead = isRead;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }
}